Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents
Enum RotationEnum

    java.lang.Object
      java.lang.Enum<RotationEnum>
          org.pdfclown.documents.contents.RotationEnum

All Implemented Interfaces:
  Serializable, Comparable<RotationEnum>

    public enum RotationEnum

extends Enum<RotationEnum>

Rotation (clockwise) [PDF:1.6:3.6.2].

Since:
  0.1.0
Version:
  0.1.2, 08/23/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Downward` Downward (0° clockwise).
`Leftward` Leftward (90° clockwise).
`Rightward` Rightward (270° clockwise).
`Upward` Upward (180° clockwise).

Method Summary
`PdfInteger` | `getCode()`
`Dimension2D` | `transform(Dimension2D size)`
`static RotationEnum` | `valueOf(PdfInteger value)` Gets the direction corresponding to the given value.
`static RotationEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RotationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Downward

    public static final RotationEnum Downward

  Downward (0° clockwise).

### Leftward

    public static final RotationEnum Leftward

  Leftward (90° clockwise).

### Upward

    public static final RotationEnum Upward

  Upward (180° clockwise).

### Rightward

    public static final RotationEnum Rightward

  Rightward (270° clockwise).

Method Detail

### values

    public static RotationEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RotationEnum c : RotationEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RotationEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static RotationEnum valueOf(PdfInteger value)

  Gets the direction corresponding to the given value.

### getCode

    public PdfInteger getCode()

### transform

    public Dimension2D transform(Dimension2D size)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.